Search documents
curl --request POST \
--url https://api.example.com/api/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"search_query_operator": "<string>",
"knowledge_asset_ids": [
"<string>"
],
"use_case_id": "<string>",
"locale": "en",
"num_results": 5,
"enable_splitting_in_search_pipeline": true,
"enable_reformulation_in_search_pipeline": true,
"evaluation_prompts": [
{
"key": "likelihood",
"value": "",
"mode": "separately"
}
]
}
'import requests
url = "https://api.example.com/api/search"
payload = {
"query": "<string>",
"search_query_operator": "<string>",
"knowledge_asset_ids": ["<string>"],
"use_case_id": "<string>",
"locale": "en",
"num_results": 5,
"enable_splitting_in_search_pipeline": True,
"enable_reformulation_in_search_pipeline": True,
"evaluation_prompts": [
{
"key": "likelihood",
"value": "",
"mode": "separately"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
search_query_operator: '<string>',
knowledge_asset_ids: ['<string>'],
use_case_id: '<string>',
locale: 'en',
num_results: 5,
enable_splitting_in_search_pipeline: true,
enable_reformulation_in_search_pipeline: true,
evaluation_prompts: [{key: 'likelihood', value: '', mode: 'separately'}]
})
};
fetch('https://api.example.com/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"page_content": "<string>",
"metadata": {}
}
],
"metadata": {
"query": "<string>",
"knowledge_asset_ids": [
"<string>"
],
"split_subtasks": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}search
Search documents
Executes only the document retrieval portion of the search pipeline
POST
/
api
/
search
Search documents
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Body
application/json
Schema for document search requests that don't need chat context
Official locale abbreviations (ISO 639-1). Used for locale, prompting, DISA.
Available options:
bg, cs, da, de, el, en, es, et, fi, fr, hr, hu, is, it, ja, ko, lt, lv, nb, nl, pl, pt, ro, ru, sk, sl, sr, sv, tr, zh Show child attributes
Show child attributes
Was this page helpful?
⌘I

